| Home | Libraries | People | FAQ | More

##### flat_static_buffer::reset

Reset the pointed-to buffer.

###### Synopsis

    void
    reset(
        void* p,
        std::size_t n);

###### Description

This function resets the internal state to the buffer provided. All input and output sequences are invalidated. This function allows the derived class to construct its members before initializing the static buffer.

###### Parameters

Name | Description
--- | ---
`p` | A pointer to valid storage of at least `n` bytes.
`n` | The number of valid bytes pointed to by `p`.

###### Exception Safety

No-throw guarantee.